com.independentsoft.exchange

## Enum MessageDisposition

- java.lang.Object
- - java.lang.Enum<MessageDisposition>
  - - com.independentsoft.exchange.MessageDisposition

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageDisposition>

      public enum MessageDisposition
      extends java.lang.Enum<MessageDisposition>

  Defines how messages are handled for operations that create and update items.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SAVE_ONLY` Messages are saved but not sent.
    `SEND_AND_SAVE_COPY` Messages are sent and a copy is saved.
    `SEND_ONLY` Messages are sent but no copy is saved.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageDisposition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageDisposition[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SAVE_ONLY

          public static final MessageDisposition SAVE_ONLY

      Messages are saved but not sent.

    - #### SEND_ONLY

          public static final MessageDisposition SEND_ONLY

      Messages are sent but no copy is saved.

    - #### SEND_AND_SAVE_COPY

          public static final MessageDisposition SEND_AND_SAVE_COPY

      Messages are sent and a copy is saved.

  - ### Method Detail

    - #### values

          public static MessageDisposition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageDisposition c : MessageDisposition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageDisposition valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null